import zod from "zod";
export declare const dynamicData: {
    dataSources: zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        name: zod.ZodString;
        type: zod.ZodString;
        config: zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>;
    }, "strip", zod.ZodTypeAny, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }, {
        type: string;
        name: string;
        config: {} & {
            [k: string]: unknown;
        };
    }>, "many">>;
    dataBindings: zod.ZodOptional<zod.ZodArray<zod.ZodObject<{
        dataSource: zod.ZodString;
        bindFrom: zod.ZodString;
        bindTo: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }, {
        dataSource: string;
        bindFrom: string;
        bindTo: string;
    }>, "many">>;
};
